# Uses of Interface
org.apache.lucene.search.join.BitSetProducer

- ## Uses of BitSetProducer in org.apache.lucene.search.join

  Classes in org.apache.lucene.search.join that implement BitSetProducer
  Modifier and Type
  Class
  Description
  `class`
  `QueryBitSetProducer`
  A `BitSetProducer` that wraps a query and caches matching `BitSet`s per segment.
  Methods in org.apache.lucene.search.join with parameters of type BitSetProducer
  Modifier and Type
  Method
  Description
  `static void`
  CheckJoinIndex.`check(IndexReader reader, BitSetProducer parentsFilter)`
  Check that the given index is good to use for block joins.
  Constructors in org.apache.lucene.search.join with parameters of type BitSetProducer
  Modifier
  Constructor
  Description
  ``
  `DiversifyingChildrenByteKnnVectorQuery(String field, byte[] query, Query childFilter, int k, BitSetProducer parentsFilter)`
  Create a ToParentBlockJoinByteVectorQuery.
  ``
  `DiversifyingChildrenByteKnnVectorQuery(String field, byte[] query, Query childFilter, int k, BitSetProducer parentsFilter, KnnSearchStrategy searchStrategy)`
  Create a DiversifyingChildrenByteKnnVectorQuery.
  ``
  `DiversifyingChildrenFloatKnnVectorQuery(String field, float[] query, Query childFilter, int k, BitSetProducer parentsFilter)`
  Create a DiversifyingChildrenFloatKnnVectorQuery.
  ``
  `DiversifyingChildrenFloatKnnVectorQuery(String field, float[] query, Query childFilter, int k, BitSetProducer parentsFilter, KnnSearchStrategy searchStrategy)`
  Create a DiversifyingChildrenFloatKnnVectorQuery.
  ``
  `DiversifyingNearestChildrenKnnCollectorManager(int k, BitSetProducer parentsFilter, IndexSearcher indexSearcher)`
  Constructor
  ``
  `ParentChildrenBlockJoinQuery(BitSetProducer parentFilter, Query childQuery, int parentDocId)`
  Creates a `ParentChildrenBlockJoinQuery` instance
  ``
  `ToChildBlockJoinQuery(Query parentQuery, BitSetProducer parentsFilter)`
  Create a ToChildBlockJoinQuery.
  ``
  `ToParentBlockJoinQuery(Query childQuery, BitSetProducer parentsFilter, ScoreMode scoreMode)`
  Create a ToParentBlockJoinQuery.
  ``
  `ToParentBlockJoinSortField(String field, SortField.Type type, boolean reverse, boolean order, BitSetProducer parentFilter, BitSetProducer childFilter)`
  Create ToParentBlockJoinSortField.
  ``
  `ToParentBlockJoinSortField(String field, SortField.Type type, boolean reverse, BitSetProducer parentFilter, BitSetProducer childFilter)`
  Create ToParentBlockJoinSortField.